Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Operations

GET
/storage/v1/operations
curl --request GET \
--url https://example.com/storage/v1/operations

Returns a paginated list of operations, optionally filtered by resource.

page_size
integer format: int32

Page Size

Maximum number of operations to return. The service may return fewer than this value. If unspecified, at most 20 operations will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

Page Token

A page token, received from a previous ListOperations call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListOperations must match the call that provided the page token.

filter
string

Filter

AIP-160 filter expression (e.g., “resource_type=Bucket”).

order_by
string

Order By

AIP-132 ordering expression.

OK

Media type application/json

ListStorageOperationsResponse

Response message for ListOperations. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
operations

Operations

The list of operations.

Array<object>

StorageOperation tracks the result of a storage command (bucket or object operation).

object
id

Unique operation identifier

stringOutput only
resource_id

The ID of the affected resource (bucket ID; null for object-only ops)

stringOutput only
resource_type

The type of resource (“Bucket” or “Object”)

stringOutput only
operation_type

The operation type (CREATE, UPDATE, DELETE, COPY)

stringOutput only
status

The operation status (PENDING, RUNNING, DONE, ERROR)

stringOutput only
insert_time

When the operation was created

string format: date-time Output only
start_time

When execution started

string format: date-time Output only
end_time

When execution completed

string format: date-time Output only
progress

Progress percentage (0–100)

integer format: int32 Output only
next_page_token

Next Page Token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example generated
{
"operations": [
{}
],
"next_page_token": "example"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}